Bug 887981

Summary: Review Request: perl-DateTime-Format-Duration - Format and parse DateTime::Durations
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: Package ReviewAssignee: Emmanuel Seyman <emmanuel>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: emmanuel, notting, package-review
Target Milestone: ---Flags: emmanuel: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-DateTime-Format-Duration-1.03-1.a.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-12 13:20:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2012-12-17 18:16:37 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-DateTime-Format-Duration/
SRPM URL: http://ppisar.fedorapeople.org/perl-DateTime-Format-Duration/perl-DateTime-Format-Duration-1.03-1.a.fc17.src.rpm
Description:
This module formats and parses DateTime::Duration objects as well as other
durations representations.

Fedora Account System Username: ppisar


----
This package will go into Fedora ≥ 17.

Comment 1 Emmanuel Seyman 2013-01-27 22:04:26 UTC
Note: I'm using the spec file from http://ppisar.fedorapeople.org/perl-DateTime-Format-Duration/perl-DateTime-Format-Duration.spec

=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4906730

 [x] Rpmlint output:
perl-DateTime-Format-Duration.src: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
perl-DateTime-Format-Duration.noarch: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
perl-DateTime-Format-Duration.noarch: E: incorrect-fsf-address /usr/share/doc/perl-DateTime-Format-Duration-1.03/LICENSE

Petr, perhaps you could include a comment indicating the FSF address issue
being reported upstream (rcp #82055).

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
f395c9f17d8fe65aa3b3cca6c8fecf17  DateTime-Format-Duration-1.03a.tgz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4906730
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=9, Tests=211,  2 wallclock secs ( 0.08 usr  0.01 sys +  1.27 cusr  0.12 csys =  1.48 CPU)
Result: PASS

Having a construct like:

for F in Changes; do
    [...]
done

seems overly complicated but I'm not going to block on this.

APPROVED.

Comment 2 Petr Pisar 2013-01-28 11:22:12 UTC
New Package SCM Request
=======================
Package Name: perl-DateTime-Format-Duration
Short Description: Format and parse DateTime::Durations
Owners: ppisar jplesnik psabata
Branches: f17 f18
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2013-01-28 13:32:01 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2013-01-28 14:58:20 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2013-01-28 15:00:49 UTC
perl-DateTime-Format-Duration-1.03-1.a.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-Duration-1.03-1.a.fc18

Comment 6 Fedora Update System 2013-01-28 15:01:45 UTC
perl-DateTime-Format-Duration-1.03-1.a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-Duration-1.03-1.a.fc17

Comment 7 Fedora Update System 2013-02-08 02:14:49 UTC
perl-DateTime-Format-Duration-1.03-1.a.fc18 has been pushed to the Fedora 18 stable repository.

Comment 8 Fedora Update System 2013-02-08 02:32:06 UTC
perl-DateTime-Format-Duration-1.03-1.a.fc17 has been pushed to the Fedora 17 stable repository.